var __reflect = (this && this.__reflect) || function (p, c, t) {
    p.__class__ = c, t ? t.push(c) : t = [c], p.__types__ = p.__types__ ? t.concat(p.__types__) : t;
};
var __extends = this && this.__extends || function __extends(t, e) {
    function r() {
        this.constructor = t;
    }
    for (var i in e)
        e.hasOwnProperty(i) && (t[i] = e[i]);
    r.prototype = e.prototype, t.prototype = new r();
};
var JSONParseClass = /** @class */ (function () {
    function JSONParseClass() {
        this.skinClass = {};
        this.euiNormalizeNames = {
            "$eBL": "eui.BitmapLabel",
            "$eB": "eui.Button",
            "$eCB": "eui.CheckBox",
            "$eC": "eui.Component",
            "$eDG": "eui.DataGroup",
            "$eET": "eui.EditableText",
            "$eG": "eui.Group",
            "$eHL": "eui.HorizontalLayout",
            "$eHSB": "eui.HScrollBar",
            "$eHS": "eui.HSlider",
            "$eI": "eui.Image",
            "$eL": "eui.Label",
            "$eLs": "eui.List",
            "$eP": "eui.Panel",
            "$ePB": "eui.ProgressBar",
            "$eRB": "eui.RadioButton",
            "$eRBG": "eui.RadioButtonGroup",
            "$eRa": "eui.Range",
            "$eR": "eui.Rect",
            "$eRAl": "eui.RowAlign",
            "$eS": "eui.Scroller",
            "$eT": "eui.TabBar",
            "$eTI": "eui.TextInput",
            "$eTL": "eui.TileLayout",
            "$eTB": "eui.ToggleButton",
            "$eTS": "eui.ToggleSwitch",
            "$eVL": "eui.VerticalLayout",
            "$eV": "eui.ViewStack",
            "$eVSB": "eui.VScrollBar",
            "$eVS": "eui.VSlider",
            "$eSk": "eui.Skin"
        };
    }
    JSONParseClass.prototype.setData = function (data) {
        if (!this.json) {
            this.json = data;
            this.parseSkinMap(this.json);
        }
        else {
            this.parseSkinMap(data);
            for (var a in data) {
                this.json[a] = data[a];
            }
        }
    };
    JSONParseClass.prototype.generateSkinClass = function (skinData, className, superName) {
        if (!skinData)
            return null;
        var paths = superName.split(".");
        var target = window;
        for (var _i = 0, paths_1 = paths; _i < paths_1.length; _i++) {
            var p = paths_1[_i];
            target = target[p];
        }
        function __SkinClass() {
            target.call(this);
            window["JSONParseClass"].create(className, this);
        }
        __extends(__SkinClass, target);
        __reflect(__SkinClass, className, [superName]);
        return __SkinClass;
    };
    JSONParseClass.prototype.parseSkinMap = function (skinMap) {
        var skinResult = {};
        for (var exml in skinMap) {
            var skinData = skinMap[exml];
            if (!skinData)
                continue;
            var paths = exml.split(".");
            var target = window;
            for (var _i = 0, paths_2 = paths; _i < paths_2.length; _i++) {
                var p = paths_2[_i];
                var parent = target;
                if (p !== paths[paths.length - 1]) {
                    target = target[p];
                    if (target == undefined) {
                        target = {};
                        parent[p] = target;
                    }
                }
            }
            var superName = this.euiNormalizeNames[skinData["$sC"]] == undefined ? skinData["$sC"] : this.euiNormalizeNames[skinData["$sC"]];
            skinResult[exml] = target[paths[paths.length - 1]] = this.generateSkinClass(skinData, exml, superName);
            if (skinMap[exml]["$path"]) {
                generateEUI2["paths"][skinMap[exml]["$path"]] = skinResult[exml];
            }
        }
        return skinResult;
    };
    JSONParseClass.prototype.create = function (skinName, target) {
        if (!this.json) {
            console.log("Missing json defined by eui resource, please modify the theme adapter");
            console.log("缺少eui资源定义的json，请修改主题适配器");
            return;
        }
        /** 先解析对应名字的的 */
        this.target = target;
        this.skinName = skinName;
        this.skinClass = this.json[skinName];
        //开始生成
        this.applyBase();
        this.applySkinParts();
        this.applyState();
        this.applyBinding();
        //skinParts 只能最后赋值，在comp中引用问题
        if (this.skinClass["$sP"] == undefined)
            this.target["skinParts"] = [];
        else
            this.target["skinParts"] = this.skinClass["$sP"];
    };
    JSONParseClass.prototype.applySkinParts = function () {
        if (this.skinClass["$sP"] == undefined)
            return;
        for (var _i = 0, _a = this.skinClass["$sP"]; _i < _a.length; _i++) {
            var component = _a[_i];
            if (this.target[component] == undefined)
                this.createElementContentOrViewport(component);
        }
    };
    JSONParseClass.prototype.applyBase = function () {
        if (this.skinClass["$bs"] == undefined)
            return;
        this.addCommonProperty("$bs", this.target);
    };
    JSONParseClass.prototype.createElementContentOrViewport = function (component) {
        var result;
        var typeStr = this.getNormalizeEuiName(this.skinClass[component].$t);
        if (typeStr == "egret.tween.TweenGroup") {
            result = this.creatsEgretTweenGroup(component);
        }
        else {
            /** 有可能对象是从外面一定义的皮肤 */
            var type_1 = egret.getDefinitionByName(typeStr);
            this.$createNewObject(function () {
                result = new type_1();
            });
            this.addCommonProperty(component, result);
        }
        this.target[component] = result;
        return result;
    };
    /**
     * 生成单位，有可能会跳出当前皮肤，所以统一维护target和skin
     * @param callback 创建对象的真实逻辑
     */
    JSONParseClass.prototype.$createNewObject = function (callback) {
        var skinName = this.skinName;
        var target = this.target;
        callback();
        this.skinName = skinName;
        this.skinClass = this.json[this.skinName];
        this.target = target;
    };
    /**
     * 生成对应的缓动组
     * @param component 名字索引
     */
    JSONParseClass.prototype.creatsEgretTweenGroup = function (component) {
        var result = this.createTypeObject(component);
        var items = [];
        for (var _i = 0, _a = this.skinClass[component]["items"]; _i < _a.length; _i++) {
            var item = _a[_i];
            items.push(this.createEgretTweenItem(item));
        }
        result["items"] = items;
        return result;
    };
    /**
     * 生成对应的缓动单位
     * @param tweenItem 名字索引
     */
    JSONParseClass.prototype.createEgretTweenItem = function (tweenItem) {
        var _this = this;
        var result = this.createTypeObject(tweenItem);
        var paths = [];
        var _loop_1 = function (prop) {
            var property = this_1.skinClass[tweenItem][prop];
            if (prop == "$t" || prop == "target") {
            }
            else if (prop == "paths") {
                for (var _i = 0, property_1 = property; _i < property_1.length; _i++) {
                    var path = property_1[_i];
                    paths.push(this_1.createSetOrTo(path));
                }
            }
            else if (prop == "target") {
                this_1.$createNewObject(function () {
                    result[prop] = _this.createElementContentOrViewport(property);
                    _this.target[property] = result[prop];
                });
            }
            else {
                result[prop] = property;
            }
        };
        var this_1 = this;
        for (var prop in this.skinClass[tweenItem]) {
            _loop_1(prop);
        }
        result["paths"] = paths;
        this.target[tweenItem] = result;
        return result;
    };
    JSONParseClass.prototype.createSetOrTo = function (key) {
        var result = this.createTypeObject(key);
        for (var prop in this.skinClass[key]) {
            var property = this.skinClass[key][prop];
            if (prop == "$t" || prop == "target") {
            }
            else if (prop == "props") {
                result[prop] = this.createObject(property);
                this.target[property] = result[prop];
            }
            else {
                result[prop] = property;
            }
        }
        return result;
    };
    JSONParseClass.prototype.createObject = function (name) {
        var result = {};
        for (var prop in this.skinClass[name]) {
            if (prop == "$t" || prop == "target") {
            }
            else {
                result[prop] = this.skinClass[name][prop];
            }
        }
        return result;
    };
    JSONParseClass.prototype.addCommonProperty = function (componentName, target) {
        var eleC;
        var sId;
        var _loop_2 = function (prop) {
            var property = this_2.skinClass[componentName][prop];
            if (prop == "$t") {
            }
            else if (prop == "layout") {
                target[prop] = this_2.createLayout(property);
            }
            else if (prop == "$eleC") {
                eleC = property;
            }
            else if (prop == "$sId") {
                sId = property;
            }
            else if (prop == "scale9Grid") {
                target[prop] = this_2.getScale9Grid(property);
            }
            else if (prop == "skinName") {
                this_2.$createNewObject(function () {
                    target[prop] = property;
                });
            }
            else if (prop == "itemRendererSkinName") {
                this_2.$createNewObject(function () {
                    var dirPath = property.split(".");
                    var t = window;
                    for (var _i = 0, dirPath_1 = dirPath; _i < dirPath_1.length; _i++) {
                        var p = dirPath_1[_i];
                        t = t[p];
                    }
                    target[prop] = t;
                });
            }
            else if (prop == "itemRenderer") {
                target[prop] = egret.getDefinitionByName(property);
            }
            else if (prop == "dataProvider") {
                target[prop] = this_2.createDataProvider(property);
            }
            else if (prop == "viewport") {
                target[prop] = this_2.createElementContentOrViewport(property);
            }
            else {
                target[prop] = property;
            }
        };
        var this_2 = this;
        for (var prop in this.skinClass[componentName]) {
            _loop_2(prop);
        }
        var ele = [];
        if (eleC && eleC.length > 0) {
            for (var _i = 0, eleC_1 = eleC; _i < eleC_1.length; _i++) {
                var element = eleC_1[_i];
                var e = this.createElementContentOrViewport(element);
                ele.push(e);
            }
        }
        target["elementsContent"] = ele;
        if (sId && sId.length > 0) {
            for (var _a = 0, sId_1 = sId; _a < sId_1.length; _a++) {
                var element = sId_1[_a];
                this.createElementContentOrViewport(element);
            }
        }
        return target;
    };
    JSONParseClass.prototype.createLayout = function (componentName) {
        var result = this.createTypeObject(componentName);
        var component = this.skinClass[componentName];
        for (var property in component) {
            if (property !== "$t") {
                result[property] = component[property];
            }
        }
        this.target[componentName] = result;
        return result;
    };
    JSONParseClass.prototype.applyState = function () {
        if (this.skinClass["$s"] == undefined)
            return;
        var states = [];
        for (var state in this.skinClass["$s"]) {
            var setProperty = [];
            var tempState = this.skinClass["$s"][state];
            if (tempState["$saI"]) {
                for (var _i = 0, _a = tempState["$saI"]; _i < _a.length; _i++) {
                    var property = _a[_i];
                    setProperty.push(new eui.AddItems(property["target"], property["property"], property["position"], property["relativeTo"]));
                }
            }
            if (tempState["$ssP"]) {
                for (var _b = 0, _c = tempState["$ssP"]; _b < _c.length; _b++) {
                    var property = _c[_b];
                    if (property["name"]) {
                        var value = property["value"];
                        if (property["name"] == "scale9Grid") {
                            value = this.getScale9Grid(property["value"]);
                        }
                        setProperty.push(new eui.SetProperty(property["target"], property["name"], value));
                    }
                    else {
                        setProperty.push(new eui.SetStateProperty(this.target, property["templates"], property["chainIndex"], this.target[property["target"]], property["property"]));
                    }
                }
            }
            states.push(new eui.State(state, setProperty));
        }
        this.target["states"] = states;
    };
    JSONParseClass.prototype.applyBinding = function () {
        if (this.skinClass["$b"] == undefined)
            return;
        for (var _i = 0, _a = this.skinClass["$b"]; _i < _a.length; _i++) {
            var bindingDate = _a[_i];
            if (bindingDate["$bc"] !== undefined) {
                eui.Binding.$bindProperties(this.target, bindingDate["$bd"], bindingDate["$bc"], this.target[bindingDate["$bt"]], bindingDate["$bp"]);
            }
            else {
                eui.Binding.bindProperty(this.target, bindingDate["$bd"][0].split("."), this.target[bindingDate["$bt"]], bindingDate["$bp"]);
            }
        }
    };
    JSONParseClass.prototype.createDataProvider = function (component) {
        if (component == "")
            return undefined;
        var result = this.createTypeObject(component);
        var source = [];
        for (var _i = 0, _a = this.skinClass[component]["source"]; _i < _a.length; _i++) {
            var sour = _a[_i];
            source.push(this.createItemRender(sour));
        }
        result["source"] = source;
        return result;
    };
    JSONParseClass.prototype.createItemRender = function (itemName) {
        var result = this.createTypeObject(itemName);
        for (var property in this.skinClass[itemName]) {
            if (property != "$t") {
                result[property] = this.skinClass[itemName][property];
            }
        }
        return result;
    };
    JSONParseClass.prototype.getNormalizeEuiName = function (str) {
        return this.euiNormalizeNames[str] ? this.euiNormalizeNames[str] : str;
    };
    JSONParseClass.prototype.createTypeObject = function (component) {
        var typestr = this.getNormalizeEuiName(this.skinClass[component].$t);
        var type = egret.getDefinitionByName(typestr);
        return new type();
    };
    JSONParseClass.prototype.getScale9Grid = function (data) {
        var datalist = data.split(",");
        return new egret.Rectangle(parseFloat(datalist[0]), parseFloat(datalist[1]), parseFloat(datalist[2]), parseFloat(datalist[3]));
    };
    return JSONParseClass;
}());
window["JSONParseClass"] = new JSONParseClass();
window.generateEUI2 = {};
generateEUI2.paths = {};
generateEUI2.styles = {"1":{"size":12,"textColor":16770048},"2":{"size":12,"textColor":15856113},"3":{"size":12,"textColor":65535},"4":{"size":12,"underline":true,"textColor":2682625},"5":{"size":12,"textColor":16729344},"6":{"size":12,"textColor":15919054},"7":{"size":12,"textColor":15856113},"8":{"size":12,"textColor":15919054},"9":{"size":12,"textColor":2682625},"10":{"size":12,"textColor":15856113},"11":{"size":12,"textColor":16770048},"12":{"size":12,"textColor":16729344},"13":{"size":12,"textColor":65535},"14":{"size":12,"textColor":16711935},"15":{"size":12,"textColor":2682625},"16":{"size":12,"textColor":16729344},"17":{"size":12,"textColor":2682625},"18":{"size":12,"textColor":65535},"19":{"size":12,"textColor":16729344},"20":{"size":12,"textColor":16711935},"21":{"size":12,"textColor":16712960},"22":{"size":12,"textColor":16729344},"23":{"size":12,"textColor":15919054},"24":{"size":12,"textColor":15856113},"25":{"size":12,"textColor":16712960},"26":{"size":12,"underline":true,"textColor":16729344},"27":{"size":12,"textColor":15919054},"28":{"size":12,"textColor":15909917},"29":{"size":12,"textColor":15909917},"30":{"size":12,"textColor":15909917},"31":{"size":12,"textColor":15909917},"32":{"size":12,"underline":true,"textColor":2546434},"33":{"size":12,"underline":true,"textColor":2546434},"34":{"stroke":1,"size":15,"textColor":15856113},"35":{"stroke":1,"size":15,"textColor":15856113},"36":{"stroke":1,"size":15,"underline":true,"textColor":2682625},"37":{"stroke":1,"size":15,"textColor":16712960},"38":{"stroke":1,"size":15,"textColor":15856113},"39":{"stroke":1,"size":15,"textColor":15919054},"40":{"stroke":1,"size":15,"textColor":16711935},"41":{"stroke":2,"size":15,"textColor":8417878},"42":{"stroke":2,"size":15,"textColor":16312006},"43":{"stroke":1,"size":15,"textColor":15856113},"44":{"stroke":1,"size":15,"textColor":16770048},"45":{"stroke":1,"size":15,"textColor":15919054},"46":{"stroke":1,"size":15,"textColor":15856113},"47":{"stroke":1,"size":15,"textColor":15919054},"48":{"stroke":1,"size":15,"textColor":8154707},"49":{"stroke":1,"size":15,"textColor":16712960},"50":{"stroke":1,"size":15,"textColor":2682625},"51":{"stroke":1,"size":15,"textColor":15856113},"52":{"stroke":1,"size":15,"textColor":2682625},"53":{"stroke":1,"size":15,"textColor":15919054},"54":{"stroke":1,"size":15,"textColor":15856113},"55":{"stroke":1,"size":15,"textColor":15856113},"56":{"stroke":1,"size":15,"textColor":16712960},"57":{"stroke":1,"size":15,"textColor":16770048},"58":{"stroke":1,"size":15,"textColor":15856113},"59":{"stroke":1,"size":15,"textColor":16729344},"60":{"stroke":1,"size":15,"textColor":16312006},"61":{"stroke":1,"size":15,"underline":true,"textColor":2682625},"62":{"stroke":1,"size":15,"textColor":16770048},"63":{"stroke":1,"size":15,"textColor":15856113},"64":{"stroke":1,"size":15,"textColor":16712960},"65":{"stroke":1,"size":15,"textColor":2682625},"66":{"stroke":1,"size":15,"textColor":15856113},"67":{"stroke":1,"size":15,"textColor":65535},"68":{"stroke":1,"size":15,"textColor":16712960},"69":{"stroke":1,"size":15,"textColor":16729344},"70":{"stroke":1,"size":15,"textColor":16711935},"71":{"stroke":1,"size":15,"textColor":65535},"72":{"stroke":1,"size":15,"textColor":2682625},"73":{"stroke":1,"size":15,"textColor":16776958},"74":{"stroke":1,"size":17,"textColor":15919054},"75":{"stroke":1,"size":17,"textColor":15856113},"76":{"stroke":1,"size":17,"textColor":15856113},"77":{"stroke":1,"size":17,"textColor":16770048},"78":{"stroke":1,"size":17,"textColor":15919054},"79":{"stroke":1,"size":17,"textColor":15856113},"80":{"stroke":1,"size":17,"textColor":15919054},"81":{"stroke":1,"size":17,"textColor":8154707},"82":{"stroke":1,"size":17,"textColor":16712960},"83":{"stroke":1,"size":17,"textColor":2682625},"84":{"stroke":1,"size":17,"textColor":15856113},"85":{"stroke":1,"size":17,"textColor":2682625},"86":{"stroke":1,"size":17,"textColor":15919054},"87":{"stroke":1,"size":17,"textColor":15856113},"88":{"stroke":1,"size":17,"textColor":15856113},"89":{"stroke":1,"size":17,"textColor":16712960},"90":{"stroke":1,"size":17,"textColor":16770048},"91":{"stroke":1,"size":17,"textColor":15856113},"92":{"stroke":1,"size":17,"textColor":16729344},"93":{"stroke":1,"size":17,"textColor":14801600},"94":{"stroke":1,"size":17,"textColor":2682625},"95":{"stroke":1,"size":17,"textColor":16770048},"96":{"stroke":1,"size":17,"textColor":15856113},"97":{"stroke":1,"size":17,"textColor":16712960},"98":{"stroke":1,"size":17,"textColor":2682625},"99":{"stroke":1,"size":17,"textColor":15856113},"100":{"stroke":1,"size":17,"textColor":65535},"101":{"stroke":1,"size":17,"textColor":16712960},"102":{"stroke":1,"size":17,"textColor":16729344},"103":{"stroke":1,"size":17,"textColor":16711935},"104":{"stroke":1,"size":17,"textColor":65535},"105":{"stroke":1,"size":17,"textColor":2682625},"106":{"stroke":1,"size":17,"textColor":16776958},"107":{"stroke":2,"size":17,"textColor":7104609},"108":{"stroke":2,"size":17,"textColor":16312006},"109":{"stroke":1,"size":20,"textColor":15856113},"110":{"stroke":1,"size":20,"textColor":16770048},"111":{"stroke":1,"size":20,"textColor":15919054},"112":{"stroke":1,"size":20,"textColor":15856113},"113":{"stroke":1,"size":20,"textColor":15919054},"114":{"stroke":1,"size":18,"textColor":8154707},"115":{"stroke":1,"size":20,"textColor":16712960},"116":{"stroke":1,"size":20,"textColor":2682625},"117":{"stroke":1,"size":20,"textColor":15856113},"118":{"stroke":1,"size":20,"textColor":2682625},"119":{"stroke":1,"size":20,"textColor":15919054},"120":{"stroke":1,"size":20,"textColor":15856113},"121":{"stroke":1,"size":20,"textColor":15856113},"122":{"stroke":1,"size":20,"textColor":16712960},"123":{"stroke":1,"size":20,"textColor":16770048},"124":{"stroke":1,"size":20,"textColor":15856113},"125":{"stroke":1,"size":20,"textColor":16729344},"126":{"stroke":1,"size":20,"textColor":14801600},"127":{"stroke":1,"size":20,"textColor":2682625},"128":{"stroke":1,"size":20,"textColor":16770048},"129":{"stroke":1,"size":20,"textColor":15856113},"130":{"stroke":1,"size":20,"textColor":16712960},"131":{"stroke":1,"size":20,"textColor":2682625},"132":{"stroke":1,"size":20,"textColor":15856113},"133":{"stroke":1,"size":20,"textColor":65535},"134":{"stroke":1,"size":20,"textColor":16712960},"135":{"stroke":1,"size":20,"textColor":16729344},"136":{"stroke":1,"size":20,"textColor":16711935},"137":{"stroke":1,"size":20,"textColor":65535},"138":{"stroke":1,"size":20,"textColor":2682625},"139":{"stroke":1,"size":20,"textColor":16776958},"140":{"stroke":1,"size":18,"textColor":15856113},"141":{"stroke":1,"size":20,"textColor":15856113},"142":{"stroke":1,"size":18,"textColor":15856113},"143":{"stroke":1,"size":24,"textColor":16770048},"144":{"stroke":1,"size":24,"textColor":15856113},"145":{"stroke":1,"size":15,"textColor":15856113},"146":{"stroke":1,"size":13,"textColor":15856113},"147":{"stroke":1,"size":18,"textColor":8154707},"148":{"stroke":1,"size":18,"textColor":16712960},"149":{"stroke":1,"size":18,"textColor":2682625},"150":{"stroke":1,"size":18,"textColor":15856113},"151":{"stroke":1,"size":18,"textColor":2682625},"152":{"stroke":1,"size":18,"textColor":15919054},"153":{"stroke":1,"size":18,"textColor":15856113},"154":{"stroke":1,"size":18,"textColor":15856113},"155":{"stroke":1,"size":18,"textColor":16712960},"156":{"stroke":1,"size":18,"textColor":16770048},"157":{"stroke":1,"size":15,"textColor":15856113},"158":{"stroke":1,"size":15,"textColor":2682625},"159":{"stroke":1,"size":18,"textColor":2682625},"160":{"stroke":1,"size":20,"textColor":8154707},"161":{"stroke":1,"size":20,"textColor":15919054},"162":{"stroke":1,"size":18,"textColor":16711935},"163":{"stroke":1,"size":18,"textColor":4794887},"164":{"stroke":1,"size":15,"textColor":16770048},"165":{"stroke":1,"size":13,"textColor":16711935},"166":{"stroke":1,"size":16,"textColor":4794887},"167":{"stroke":1,"size":12,"textColor":15856113},"168":{"stroke":1,"size":16,"textColor":2682625},"169":{"stroke":1,"size":16,"textColor":15919054},"170":{"stroke":1,"size":15,"textColor":15856113},"171":{"stroke":1,"size":26,"textColor":16770048},"172":{"stroke":1,"size":18,"textColor":15856113},"173":{"stroke":1,"size":18,"textColor":4794887},"174":{"stroke":1,"size":13,"textColor":2682625},"175":{"stroke":1,"size":13,"textColor":15919054},"176":{"size":13,"textColor":2483161},"177":{"stroke":1,"size":13,"textColor":16712960},"178":{"stroke":1,"size":15,"textColor":15856113},"179":{"stroke":1,"size":13,"textColor":16712960},"180":{"stroke":1,"size":13,"textColor":16729344},"181":{"stroke":1,"size":15,"textColor":16711935},"182":{"stroke":1,"size":13,"textColor":65535},"183":{"stroke":1,"size":13,"textColor":2682625},"184":{"stroke":1,"size":16,"textColor":16776958},"185":{"stroke":1,"size":16,"underline":true,"textColor":16712960},"186":{"stroke":1,"size":17,"textColor":16770048},"187":{"stroke":1,"size":13,"textColor":15919054},"188":{"stroke":1,"size":20,"textColor":4794887},"189":{"stroke":1,"size":18,"textColor":4002816},"190":{"stroke":1,"size":16,"textColor":4002816},"191":{"stroke":1,"size":16,"textColor":8535064},"192":{"stroke":1,"size":13,"textColor":8535064},"193":{"size":12,"textColor":15856113},"194":{"stroke":1,"size":13,"textColor":16770048},"195":{"stroke":1,"size":16,"textColor":12360821},"196":{"stroke":1,"size":16,"textColor":15919054},"197":{"stroke":1,"size":13,"textColor":15919054},"198":{"stroke":1,"size":20,"textColor":16773060},"199":{"stroke":1,"size":13,"underline":true,"textColor":2682625},"200":{"stroke":1,"size":13,"textColor":15856113},"201":{"stroke":1,"size":13,"textColor":16770048},"202":{"stroke":1,"size":18,"textColor":16712960},"203":{"stroke":1,"size":18,"textColor":2682625},"204":{"stroke":1,"size":16,"textColor":16568611},"205":{"stroke":1,"size":20,"textColor":10125402},"206":{"stroke":1,"size":18,"textColor":10125402},"207":{"stroke":1,"size":13,"textColor":14868961},"208":{"size":13,"textColor":6710886},"209":{"stroke":1,"size":16,"textColor":15856113},"210":{"stroke":2,"size":18,"textColor":16312006},"211":{"stroke":2,"size":18,"textColor":9079693},"212":{"stroke":2,"size":16,"textColor":16312006},"213":{"stroke":2,"size":16,"textColor":9079693},"214":{"stroke":1,"size":13,"textColor":16568611},"215":{"stroke":1,"size":20,"textColor":12100737},"216":{"stroke":1,"size":18,"textColor":15856113},"217":{"stroke":1,"size":16,"textColor":2682625},"218":{"stroke":1,"size":18,"textColor":15919054},"219":{"stroke":1,"size":16,"textColor":15919054},"220":{"stroke":1,"size":16,"textColor":15856113},"221":{"stroke":1,"size":16,"textColor":16712960},"222":{"stroke":1,"size":16,"textColor":2682625},"223":{"stroke":1,"size":13,"textColor":16711935},"224":{"stroke":1,"size":13,"textColor":14889655},"225":{"stroke":1,"size":13,"textColor":16711878},"226":{"size":18,"textColor":15856113},"227":{"size":18,"textColor":15919054},"228":{"stroke":1,"size":16,"textColor":15921648},"229":{"stroke":1,"size":13,"textColor":9720831},"230":{"stroke":1,"size":13,"textColor":119295},"231":{"stroke":1,"size":16,"textColor":2682625},"232":{"size":16,"textColor":2682625},"233":{"stroke":2,"size":20,"textColor":14141871},"234":{"stroke":2,"size":17,"textColor":16312006},"235":{"stroke":2,"size":15,"textColor":16312006},"236":{"bold":1,"size":17,"textColor":0},"237":{"bold":1,"size":15,"textColor":2694684},"238":{"bold":1,"size":15,"textColor":0},"239":{"bold":1,"size":15,"textColor":4334107},"240":{"stroke":1,"size":15,"textColor":15463057},"241":{"stroke":1,"size":21,"textColor":15463057},"242":{"stroke":1,"size":17,"textColor":13805586},"243":{"stroke":2,"size":17,"textColor":16760832},"244":{"stroke":2,"size":17,"textColor":16776958},"245":{"stroke":2,"size":30,"textColor":14663831},"246":{"stroke":2,"size":18,"textColor":15197863},"247":{"stroke":1,"size":16,"underline":true,"textColor":1349949},"248":{"stroke":2,"size":18,"textColor":8417878},"249":{"stroke":1,"size":18,"textColor":16773060},"250":{"stroke":1,"size":17,"underline":true,"textColor":2682625},"251":{"stroke":1,"size":17,"textColor":13542998},"252":{"size":18,"textColor":10125402},"253":{"stroke":1,"size":17,"underline":true,"textColor":16712960},"254":{"stroke":1,"size":17,"textColor":15970610},"255":{"stroke":3,"size":23,"textColor":16770048},"256":{"stroke":1,"size":16,"textColor":9868950},"257":{"stroke":1,"size":16,"textColor":14917437},"258":{"stroke":1,"size":16,"underline":true,"textColor":2682625},"259":{"stroke":1,"size":18,"textColor":15970610},"260":{"stroke":1,"size":18,"textColor":9079693},"261":{"stroke":1,"size":17,"textColor":11577494},"262":{"stroke":2,"size":20,"textColor":14917437},"263":{"stroke":1,"size":16,"textColor":10850676},"264":{"stroke":1,"size":16,"textColor":15195340},"265":{"stroke":1,"size":16,"textColor":445021},"266":{"stroke":1,"size":16,"textColor":13879998},"267":{"stroke":1,"size":16,"textColor":8616038},"268":{"stroke":1,"size":16,"underline":true,"textColor":445021},"269":{"stroke":1,"size":15,"textColor":15316244},"270":{"stroke":2,"size":16,"textColor":14142666},"271":{"stroke":2,"size":16,"textColor":15856113},"272":{"stroke":1,"size":17,"textColor":13805586},"273":{"stroke":1,"size":14,"textColor":15856113},"274":{"stroke":1,"size":20,"textColor":13874539},"275":{"stroke":1,"size":20,"underline":true,"textColor":2682625},"276":{"stroke":1,"size":20,"textColor":15970610},"277":{"stroke":2,"size":18,"textColor":16235306},"278":{"stroke":2,"size":18,"textColor":13746859},"279":{"stroke":2,"size":20,"textColor":16235306},"280":{"stroke":1,"size":18,"textColor":16181734},"281":{"stroke":1,"size":18,"textColor":233794},"282":{"stroke":1,"size":18,"textColor":9272685},"283":{"stroke":1,"size":16,"textColor":4956111},"284":{"stroke":1,"size":16,"textColor":14793862},"285":{"stroke":1,"size":16,"textColor":14261274},"286":{"stroke":1,"size":18,"textColor":12944939},"287":{"stroke":1,"size":18,"textColor":3859995},"288":{"stroke":1,"size":18,"textColor":16748300},"289":{"stroke":1,"size":18,"textColor":15995665},"290":{"stroke":1,"size":18,"textColor":16762392},"291":{"stroke":2,"size":18,"textColor":15856113},"292":{"stroke":1,"size":18,"textColor":61695},"293":{"stroke":1,"size":24,"textColor":16770048},"294":{"stroke":1,"size":24,"textColor":16712960},"295":{"stroke":1,"size":24,"textColor":16729344},"296":{"stroke":1,"size":24,"textColor":16711935},"297":{"stroke":1,"size":24,"textColor":65535},"298":{"stroke":1,"size":24,"textColor":2682625},"299":{"stroke":1,"size":24,"textColor":16776958}};
generateEUI2.skins = {"eui.Button":"resource/eui_skins/controls/ButtonSkin.exml","eui.CheckBox":"resource/eui_skins/controls/CheckBoxSkin.exml","eui.HScrollBar":"resource/eui_skins/controls/HScrollBarSkin.exml","eui.HSlider":"resource/eui_skins/controls/HSliderSkin.exml","eui.Panel":"resource/eui_skins/controls/PanelSkin.exml","eui.TextInput":"resource/eui_skins/controls/TextInputSkin.exml","eui.ProgressBar":"resource/eui_skins/controls/ProgressBarSkin.exml","eui.RadioButton":"resource/eui_skins/controls/RadioButtonSkin.exml","eui.Scroller":"resource/eui_skins/controls/ScrollerSkin.exml","eui.ToggleSwitch":"resource/eui_skins/controls/ToggleSwitchSkin.exml","eui.VScrollBar":"resource/eui_skins/controls/VScrollBarSkin.exml","eui.VSlider":"resource/eui_skins/controls/VSliderSkin.exml","eui.ItemRenderer":"resource/eui_skins/controls/ItemRendererSkin.exml","Button1Skin":"resource/eui_skins/controls/button/Button1Skin.exml","Button2Skin":"resource/eui_skins/controls/button/Button2Skin.exml","Button5Skin":"resource/eui_skins/controls/button/Button5Skin.exml","Button6Skin":"resource/eui_skins/controls/button/Button6Skin.exml","ButtonClose0Skin":"resource/eui_skins/controls/button/ButtonClose0Skin.exml","ButtonClose1Skin":"resource/eui_skins/controls/button/ButtonClose1Skin.exml","ButtonClose2Skin":"resource/eui_skins/controls/button/ButtonClose2Skin.exml","ButtonMenuSkin":"resource/eui_skins/controls/button/ButtonMenuSkin.exml"};